<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('full_name');
            $table->bigInteger('mobile_number');
            $table->string('email')->nullable();
            $table->string('password');
            $table->string('user_role');
            $table->string('user_profile');
            $table->string('created_by');
            $table->tinyInteger('emp_status');
            $table->rememberToken();
            $table->timestamps()->userCurrent();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
